Package owl.automaton

## Class Views.AutomatonView<S,​A extends OmegaAcceptance>

- java.lang.Object
- - owl.automaton.AbstractCachedStatesAutomaton<S,​A>
  - - owl.automaton.AbstractImplicitAutomaton<S,​A>
    - - owl.automaton.Views.AutomatonView<S,​A>

- All Implemented Interfaces:
    `Automaton<S,​A>`
  Enclosing class:
    Views

      public static class Views.AutomatonView<S,​A extends OmegaAcceptance>
      extends AbstractImplicitAutomaton<S,​A>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface owl.automaton.Automaton

      `Automaton.EdgeMapVisitor<S>, Automaton.EdgeTreeVisitor<S>, Automaton.EdgeVisitor<S>, Automaton.PreferredEdgeAccess, Automaton.Property, Automaton.Visitor<S>`

  - ### Field Summary

    - ### Fields inherited from class owl.automaton.AbstractImplicitAutomaton

      `acceptance, factory, initialStates`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Map<Edge<S>,​ValuationSet>` | `edgeMap​(S state)` | Returns a mapping from all outgoing edges to their valuations of the specified `state`.
    `Set<Edge<S>>` | `edges​(S state)` | Returns all successor edges of the specified `state` under any valuation.
    `Set<Edge<S>>` | `edges​(S state, BitSet valuation)` | Returns the successor edges of the specified `state` under the given `valuation`.
    `ValuationTree<Edge<S>>` | `edgeTree​(S state)` | Returns a decision-tree with nodes labelled by literals and sets of edges as leaves.
    `boolean` | `is​(Automaton.Property property)` |
    `List<Automaton.PreferredEdgeAccess>` | `preferredEdgeAccess()` | Indicate if the automaton implements a fast (e.g.

    - ### Methods inherited from class owl.automaton.AbstractImplicitAutomaton

      `acceptance, factory, initialStates, onlyInitialState`

    - ### Methods inherited from class owl.automaton.AbstractCachedStatesAutomaton

      `accept, accept, accept, cache, states`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface owl.automaton.Automaton

      `accept, edge, name, predecessors, size, successor, successors, successors`

- - ### Method Detail

    - #### preferredEdgeAccess

          public List<Automaton.PreferredEdgeAccess> preferredEdgeAccess()

      Description copied from interface: `Automaton`
      Indicate if the automaton implements a fast (e.g. symbolic) computation of edges. Returns a `List` containing all supported `PreferredEdgeAccess` ordered by their preference. Meaning the element at first position (index 0) is the most preferred. Accordingly algorithms can change the use of `Automaton.edges(Object, BitSet)`, `Automaton.edgeMap(Object)`, or `Automaton.edgeTree(Object)` for accessing all outgoing edges of a state. This information is also used to dispatch to the right visitor style.
      Returns:
        An ordered list of the traversal methods. It always contains a complete list

    - #### edges

          public Set<Edge<S>> edges​(S state,
                                    BitSet valuation)

      Description copied from interface: `Automaton`
      Returns the successor edges of the specified `state` under the given `valuation`.
      Parameters:
        `state` - The starting state of the transition.
        `valuation` - The valuation.
      Returns:
        The successor edges, possibly empty.

    - #### edges

          public Set<Edge<S>> edges​(S state)

      Description copied from interface: `Automaton`
      Returns all successor edges of the specified `state` under any valuation.
      Parameters:
        `state` - The starting state of the edges.
      Returns:
        The set of edges originating from `state`

    - #### edgeMap

          public Map<Edge<S>,​ValuationSet> edgeMap​(S state)

      Description copied from interface: `Automaton`
      Returns a mapping from all outgoing edges to their valuations of the specified `state`.
      Parameters:
        `state` - The state.
      Returns:
        All labelled edges of the state.

    - #### edgeTree

          public ValuationTree<Edge<S>> edgeTree​(S state)

      Description copied from interface: `Automaton`
      Returns a decision-tree with nodes labelled by literals and sets of edges as leaves.
      Parameters:
        `state` - The state.
      Returns:
        A tree.

    - #### is

          public boolean is​(Automaton.Property property)